Captain Roy:
The Ivory Tower has stood here for nigh on a thousand years. It has become quite popular as a place for elites to study the magical arts.
There are gates at the north and south of the tower. We guard the tower and its surroundings from a host of threats.
The tower has many floors, but guests can only go up to the 4th. If you want to know what is on each floor, ask that friendly person over there. Or you can just wander around.
Oh, and just so you know, the Ivory Tower is strictly neutral territory. So please, don't say or do anything that could cause trouble.
Return